openssl 0.9.8g-3ubuntu1 source package in Ubuntu

Changelog

openssl (0.9.8g-3ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Configure: Add support for lpia.
    - Replace duplicate files in the doc directory with symlinks.

openssl (0.9.8g-3) unstable; urgency=low

  * aes-586.pl: push %ebx on the stack before we put some things on the
    stack and call a function, giving AES_decrypt() wrong values to work
    with.  (Closes: #449200)

openssl (0.9.8g-2) unstable; urgency=low

  * Avoid text relocations on i386 caused by the assembler versions:
    - x86unix.pl: Create a function_begin_B_static to create a
      static/local assembler function.
    - aes-586.pl: Use the function_begin_B_static for _x86_AES_decrypt
      so that it doesn't get exported and doesn't have any (text) relocations.
    - aes-586.pl: Set up ebx to point to the GOT and call AES_set_encrypt_key
      via the PLT to avoid a relocation.
    - x86unix.pl: Call the init function via the PLT, avoiding a relocation
      in case of a PIC object.
    - cbc.pl: Call functions via the PLT.
    - desboth.pl: Call DES_encrypt2 via the PLT.
  * CA.sh should use the v3_ca extention when called with -newca
    (Closes: #428051)
  * Use -Wa,--noexecstack for all arches in Debian.  (Closes: #430583)
  * Convert the failure message when services fail restart to a debconf
    message.
  * To restart a service, just restart, instead of stop and start.
    Hopefully fixes #444946
  * Also remove igetest from the test dir in the clean target.
    (Closes: #424362)

openssl (0.9.8g-1) unstable; urgency=low

  * New upstream release
    - Fixes version number not to say it's a development version.

openssl (0.9.8f-1) unstable; urgency=low

  * New upstream release
    - Fixes DTLS issues, also fixes CVE-2007-4995 (Closes: #335703, #439737)
    - Proper inclusion of opensslconf.h in pq_compat.h (Closes: #408686)
    - New function SSL_set_SSL_CTX: bump shlibs.
  * Remove build dependency on gcc > 4.2
  * Remove the openssl preinst, it looks like a workaround
    for a change in 0.9.2b where config files got moved.  (Closes: #445095)
  * Update debconf translations:
    - Vietnamese (Closes: #426988)
    - Danish (Closes: #426774)
    - Slovak (Closes: #440723)
    - Finnish (Closes: #444258)

openssl (0.9.8e-9) unstable; urgency=high

  * CVE-2007-5135: Fix off by one error in SSL_get_shared_ciphers().
    (Closes: #444435)
  * Add postgresql-8.2 to the list of services to check.

openssl (0.9.8e-8) unstable; urgency=low

  * Fix another case of the "if this code is reached, the program will abort"
    (Closes: #429740)
  * Temporary force to build with gcc >= 4.2

openssl (0.9.8e-7) unstable; urgency=low

  * Fix problems with gcc-4.2 (Closes: #429740)
  * Stop using -Bsymbolic to create the shared library.
  * Make x86_64cpuid.pl use PIC.

openssl (0.9.8e-6) unstable; urgency=high

  * Add fix for CVE-2007-3108 (Closes: #438142)

 -- Matthias Klose <email address hidden>   Wed, 05 Dec 2007 00:13:39 +0100

Upload details

Uploaded by:
Matthias Klose on 2007-12-04
Uploaded to:
Hardy
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
utils
Urgency:
Very Urgent

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
openssl_0.9.8g.orig.tar.gz 3.2 MiB 0e26886845de95716c9f1b9b75c0e06e9d4075d2bdc9e11504eaa5f7ee901cf0
openssl_0.9.8g-3ubuntu1.diff.gz 49.2 KiB 4a0e680b1f2fa5272db8ab83aaa1fa8aaa706b5074d056f24d6d07ce6244e3e5
openssl_0.9.8g-3ubuntu1.dsc 895 bytes ebbfce58c75d53df751921d1974a0aab28fa0aaec2cf3ee866ce1da0a46e21e2

View changes file

Binary packages built by this source

libcrypto0.9.8-udeb: No summary available for libcrypto0.9.8-udeb in ubuntu hardy.

No description available for libcrypto0.9.8-udeb in ubuntu hardy.

libssl-dev: No summary available for libssl-dev in ubuntu hardy.

No description available for libssl-dev in ubuntu hardy.

libssl0.9.8: No summary available for libssl0.9.8 in ubuntu hardy.

No description available for libssl0.9.8 in ubuntu hardy.

libssl0.9.8-dbg: No summary available for libssl0.9.8-dbg in ubuntu hardy.

No description available for libssl0.9.8-dbg in ubuntu hardy.

openssl: No summary available for openssl in ubuntu hardy.

No description available for openssl in ubuntu hardy.